New user self-registration is currently disabled. Please email eigen-core-team @ lists.tuxfamily.org if you need an account.
Bug 795 - use of allocate_shared should be added to notes on alignment
use of allocate_shared should be added to notes on alignment
Status: RESOLVED FIXED
Product: Eigen
Classification: Unclassified
Component: Documentation
unspecified
All All
: Normal Documentation
Assigned To: Nobody
:
Depends on:
Blocks: 3.3
  Show dependency treegraph
 
Reported: 2014-04-18 02:33 UTC by Phil
Modified: 2016-02-12 21:22 UTC (History)
4 users (show)



Attachments

Description Phil 2014-04-18 02:33:50 UTC
A note should be added to the alignment notes regarding use of allocate_shared.

One needs to use allocate_shared with the eigen aligned allocator when making shared_ptr objects. Use of make_shared may result in alignment errors similar to not using the aligned new allocator.
Comment 1 Christoph Hertzberg 2014-11-02 17:20:21 UTC
Similar issues can arise with boost::bind.
We also have notes about alignment on lots of different places, maybe we should join them to one single place and reference from everywhere to that.

http://eigen.tuxfamily.org/index.php?title=Pit_Falls#Alignment_Issues_.28runtime_assertion.29
http://eigen.tuxfamily.org/dox-devel/TopicUnalignedArrayAssert.html

Partially, links to non-existing sites exist:
http://eigen.tuxfamily.org/dox/TopicUnalignedArrayAssert.html
http://eigen.tuxfamily.org/dox/UnalignedArrayAssert.html
These should be forwarded to an existing page (Maybe backporting bug 804 to 3.2 does the trick)
Comment 2 Gael Guennebaud 2016-02-12 21:22:48 UTC
https://bitbucket.org/eigen/eigen/commits/1a730ab9c330/
https://bitbucket.org/eigen/eigen/commits/5e27de3082e8/ (3.2)
Summary:     Bug 795: mention allocate_shared as a candidate for aligned_allocator.

https://bitbucket.org/eigen/eigen/commits/f4b60905c141/
https://bitbucket.org/eigen/eigen/commits/33f2a9685d38/ (3.2)
Summary:     Import wiki's paragraph: "I disabled vectorization, but I'm still getting annoyed about alignment issues"


I've also fixed the broken links.

Note You need to log in before you can comment on or make changes to this bug.